- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# FileUtils File Reference

`#include <osgDB/Registry>`
`#include <vector>`
`#include <deque>`
`#include <string>`

Include dependency graph for FileUtils:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | osgDB
## Defines
#define | OSGDB_FILEUTILS 1
## Typedefs
typedef std::vector< std::string > | osgDB::DirectoryContents
| simple list of names to represent a directory's contents.
## Enumerations
enum | osgDB::CaseSensitivity { osgDB::CASE_SENSITIVE, osgDB::CASE_INSENSITIVE }
enum | osgDB::FileType { osgDB::FILE_NOT_FOUND, osgDB::REGULAR_FILE, osgDB::DIRECTORY }
## Functions
OSGDB_EXPORT bool | osgDB::makeDirectory (const std::string &directoryPath)
OSGDB_EXPORT bool | osgDB::makeDirectoryForFile (const std::string &filePath)
OSGDB_EXPORT bool | osgDB::fileExists (const std::string &filename)
| return true if a file exisits.
OSGDB_EXPORT FileType | osgDB::fileType (const std::string &filename)
| return type of file.
OSGDB_EXPORT std::string | osgDB::findFileInPath (const std::string &filename, const FilePathList &filePath, CaseSensitivity caseSensitivity=CASE_SENSITIVE)
| find specified file in specified file path.
OSGDB_EXPORT std::string | osgDB::findFileInDirectory (const std::string &fileName, const std::string &dirName, CaseSensitivity caseSensitivity=CASE_SENSITIVE)
| return the directory/filename of a file if its is contained within specified directory.
OSGDB_EXPORT DirectoryContents | osgDB::getDirectoryContents (const std::string &dirName)
| return the contents of a directory.
void | osgDB::setDataFilePathList (const FilePathList &filepath)
void | osgDB::setDataFilePathList (const std::string &paths)
FilePathList & | osgDB::getDataFilePathList ()
OSGDB_EXPORT std::string | osgDB::findDataFile (const std::string &filename, CaseSensitivity caseSensitivity=CASE_SENSITIVE)
| Search for specified file in file system, checking the DataFilePathList for possible paths, returning the full path of the first valid file found, return an empty string if no string is found.
OSGDB_EXPORT std::string | osgDB::findDataFile (const std::string &filename, const ReaderWriter::Options *options, CaseSensitivity caseSensitivity=CASE_SENSITIVE)
| Search for specified file in file system, checking first the database path set in the Options structure, then the DataFilePathList for possible paths, returning the full path of the first valid file found, return an empty string if no string is found.
void | osgDB::setLibraryFilePathList (const FilePathList &filepaths)
void | osgDB::setLibraryFilePathList (const std::string &paths)
FilePathList & | osgDB::getLibraryFilePathList ()
OSGDB_EXPORT std::string | osgDB::findLibraryFile (const std::string &filename, CaseSensitivity caseSensitivity=CASE_SENSITIVE)
OSGDB_EXPORT void | osgDB::convertStringPathIntoFilePathList (const std::string &paths, FilePathList &filepath)
| convert a string containing a list of paths deliminated either with ';' (Windows) or ':' (All other platforms) into FilePath represetation.
OSGDB_EXPORT void | osgDB::appendPlatformSpecificLibraryFilePaths (FilePathList &filepath)

## Define Documentation

#define OSGDB_FILEUTILS 1